function CasinoBeamProfileXZ(smpName,XZprofile,deltaZ,auTh,htlTh,pskTh,etlTh,...
    saveFile,filepath)

t_Au = auTh;
t_HTL = htlTh;
t_PSK = pskTh;
t_TiO2 = etlTh;
t_FTO = 300;
yline1 = '';
yline2 = '';
yline3 = '';
plotXRFmaps(smpName,XZprofile,'-sc', [4e-6 4e-1]);
colormap(gray); set(gca,'ColorScale','log');
[m n] = size(XZprofile);
yline1 = ones([1 n]).*t_Au./deltaZ;
yline2 = ones([1 n]).*(t_Au+t_HTL)./deltaZ;
yline3 = ones([1 n]).*(t_Au+t_HTL+t_PSK)./deltaZ;
yline4 = ones([1 n]).*(t_Au+t_HTL+t_PSK+t_TiO2)./deltaZ;
yline5 = ones([1 n]).*(t_Au+t_HTL+t_PSK+t_TiO2+t_FTO)./deltaZ;
xline = [1:1:n];
hold on;
plot(xline,yline1,':w','LineWidth',2);
plot(xline,yline2,':w','LineWidth',2);
plot(xline,yline3,':w','LineWidth',2);
plot(xline,yline4,':w','LineWidth',2);
plot(xline,yline5,':w','LineWidth',2);

if saveFile == 1
    export_fig(filepath);
end

end

