function casinoData = loadCasinoEngDistr(batchProc)
%Import CASINO Energy Distribution Output Into MATLAB
%   The function takes one input variable. If the input variable batchProc
%   is 1, the function will try to load all CASINO outputed file in the
%   selected folder. Otherwise, it will ask user to select single file 
if nargin == 0 | batchProc == 0
    [fileName dirPath] = uigetfile('*.dat');   
    filePath = fullfile(dirPath,fileName);   %Construct filePath
    casinoData = processCasinoV2output(filePath);
else batchProc == 1
    dataPath = uigetdir();
end

end

